/*
 * board.h - board definitions
 *
 * Copyright (C) 2008 Hugo Villeneuve <hugo@hugovil.com>
 *
 * Based on TI DaVinci Flash and Boot Utilities, original copyright follows:
 *   Copyright 2008 Texas Instruments, Inc. <www.ti.com>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301, USA.
 */

#ifndef _BOARD_H_
#define _BOARD_H_

#include "common.h"
#include "davinci.h"

#if defined(board_sffsdr)
#  define PINMUX1_DEFAULT PINMUX1_UART0 | PINMUX1_UART1 | PINMUX1_I2C | \
	PINMUX1_ASP
#endif

#if defined(board_sysmobts_v1)
#  define PINMUX1_DEFAULT PINMUX1_UART0 | PINMUX1_UART1 | PINMUX1_I2C | \
	PINMUX1_ASP
#endif

#if defined(board_sysmobts_v2)
#  define PINMUX0_DEFAULT 0x0000000F
#  define PINMUX1_DEFAULT PINMUX1_UART0 | PINMUX1_UART1
#endif

#endif /* _BOARD_H_ */
